Skip to main content
POST
/
crm
/
v3
/
objects
/
tasks
/
batch
/
read
Read a batch of tasks by internal ID, or unique property values
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/tasks/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": "430001"
    }
  ],
  "properties": [
    "<string>"
  ],
  "propertiesWithHistory": [
    "<string>"
  ],
  "idProperty": "<string>"
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "id": "512",
      "properties": {
        "property_checkbox": "false",
        "property_date": "1572480000000",
        "property_dropdown": "choice_b",
        "property_multiple_checkboxes": "chocolate;strawberry",
        "property_number": "17",
        "property_radio": "option_1",
        "property_string": "value"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

archived
boolean
default:false

Whether to return only results that have been archived.

Body

application/json

Specifies the input for reading a batch of CRM objects, including arrays of object IDs, requested property names (with optional history), and an optional unique identifying property.

inputs
object[]
required
properties
string[]
required

Key-value pairs for setting properties for the new object.

propertiesWithHistory
string[]
required

Key-value pairs for setting properties for the new object and their histories.

idProperty
string

When using a custom unique value property to retrieve records, the name of the property. Do not include this parameter if retrieving by record ID.

Response

successful operation

A public object batch response object

completedAt
string<date-time>
required

The timestamp when the batch processing was completed, in ISO 8601 format.

results
object[]
required
startedAt
string<date-time>
required

The timestamp when the batch processing began, in ISO 8601 format.

status
enum<string>
required

The status of the batch processing request: "PENDING", "PROCESSING", "CANCELLED", or "COMPLETE"

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

An object containing relevant links related to the batch request.

requestedAt
string<date-time>

The timestamp when the batch request was initially made, in ISO 8601 format.

Last modified on March 30, 2026